> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add LQA comment

> Returns a result wrapper containing the new comment id and the updated conversation. Available to internal, guest and linguist users; project managers require the EDIT right on the job, other roles require SHOW, and guests must also match the project client and have the right to view other users' projects.



## OpenAPI

````yaml /openapi/phrase-tms-v2.json post /api2/v2/jobs/{jobUid}/conversations/lqas/{conversationId}/comments
openapi: 3.0.0
info:
  description: |-
    Welcome to Phrase's TMS API documentation. 

     Please visit our [help center](https://support.phrase.com/hc/en-us/sections/5709662083612) for more information about the APIs. 

     If you have any questions, please contact [Support](https://support.phrase.com/hc/requests/new). 

     Please, include the `User-Agent` header with the name of your application or project. It might be a good idea to include some sort of contact information as well, so that we can get in touch if necessary. Examples of excellent `User-Agent` headers:
     > User-Agent: Example mobile app (example@phrase.com) <br/> User-Agent: ACME Inc Java 1.8 Client (http://acmeinc.com/contact)
  version: '2'
  title: Phrase TMS API
servers:
  - url: https://cloud.memsource.com/web
security:
  - ApiToken: []
  - OAuth2: []
tags:
  - name: Analysis
  - name: Bilingual File
  - name: Connector
  - name: Conversations
  - name: Job
  - name: Net Rate Scheme
  - name: Project
  - name: Project Template
  - name: Provider
  - name: Quality Assurance
  - name: Quote
  - name: Reference File
  - name: Term Base
  - name: Translation
  - name: Translation Memory
  - name: User
  - name: Webhook
  - name: Workflow changes
paths:
  /api2/v2/jobs/{jobUid}/conversations/lqas/{conversationId}/comments:
    post:
      tags:
        - Conversations
      summary: Add LQA comment
      description: >-
        Returns a result wrapper containing the new comment id and the updated
        conversation. Available to internal, guest and linguist users; project
        managers require the EDIT right on the job, other roles require SHOW,
        and guests must also match the project client and have the right to view
        other users' projects.
      operationId: addLQACommentV2
      parameters:
        - name: jobUid
          in: path
          description: UID of the job
          required: true
          schema:
            type: string
        - name: conversationId
          in: path
          description: ID of the LQA conversation
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddCommentDtoV1'
        description: Add comment request body
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddLqaCommentResultDtoV2'
        '400':
          description: Bad Request
        '401':
          description: Not authorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '405':
          description: Method not allowed
        '408':
          description: Timeout
        '410':
          description: Gone
        '415':
          description: Unsupported media type
        '429':
          description: Too many requests
        '500':
          description: Internal server error
        '501':
          description: Not implemented
components:
  schemas:
    AddCommentDtoV1:
      type: object
      required:
        - text
      properties:
        text:
          type: string
    AddLqaCommentResultDtoV2:
      type: object
      properties:
        conversation:
          $ref: '#/components/schemas/LQAConversationDtoV1'
        id:
          type: string
          description: ID of created comment
    LQAConversationDtoV1:
      type: object
      properties:
        comments:
          type: array
          description: List of comments in the conversation
          items:
            $ref: '#/components/schemas/CommentDtoV1'
        createdBy:
          $ref: '#/components/schemas/MentionableUserDtoV1'
        dateCreated:
          type: string
          format: date-time
          description: Date the conversation was created
        dateEdited:
          type: string
          format: date-time
          description: Date the conversation was last edited by a user
        dateModified:
          type: string
          format: date-time
          description: Date the conversation was last modified
        deleted:
          type: boolean
          description: Whether the conversation has been deleted
        id:
          type: string
          description: Unique identifier of the conversation
        lqaDescription:
          type: string
          description: Description of the LQA issue
        references:
          $ref: '#/components/schemas/LQAReferences'
        status:
          $ref: '#/components/schemas/StatusDtoV1'
        type:
          type: string
          description: LQA
    CommentDtoV1:
      type: object
      properties:
        createdBy:
          $ref: '#/components/schemas/MentionableUserDtoV1'
        dateCreated:
          type: string
          format: date-time
          description: Date the comment was created
        dateModified:
          type: string
          format: date-time
          description: Date the comment was last modified
        id:
          type: string
          description: Unique identifier of the comment
        mentions:
          type: array
          description: List of @mentions in the comment text
          items:
            $ref: '#/components/schemas/MentionDtoV1'
        text:
          type: string
          description: Text content of the comment
    MentionableUserDtoV1:
      type: object
      required:
        - unavailable
      properties:
        email:
          type: string
          description: Email address of the user
        firstName:
          type: string
          description: First name of the user
        id:
          type: string
          description: Unique numeric identifier of the user
        jobRoles:
          type: array
          description: Roles the user holds on the job part
          items:
            $ref: '#/components/schemas/JobRoleDtoV1'
        lastName:
          type: string
          description: Last name of the user
        role:
          type: string
          description: Role of the user in the organization
          enum:
            - SYS_ADMIN
            - SYS_ADMIN_READ
            - ADMIN
            - PROJECT_MANAGER
            - LINGUIST
            - GUEST
            - SUBMITTER
            - PORTAL_MEMBER
            - BOT
        uid:
          type: string
          description: Unique string identifier of the user
        unavailable:
          type: boolean
          description: When true, the user is not currently available for assignment
        userName:
          type: string
          description: Username of the user
    LQAReferences:
      type: object
      required:
        - lqa
        - segmentId
        - transGroupId
      properties:
        commentedText:
          type: string
          description: Portion of the target text that the conversation refers to
        conversationTitle:
          type: string
          description: Title of the conversation, typically the source segment text
        conversationTitleOffset:
          type: integer
          format: int32
          description: Character offset of the conversation title within the segment
          minimum: 0
        correlation:
          $ref: '#/components/schemas/ReferenceCorrelation'
        jobPartUid:
          type: string
          readOnly: true
        lqa:
          type: array
          items:
            $ref: '#/components/schemas/LQAReferencesLQAReferenceV1'
          maxItems: 1
          minItems: 1
        segmentId:
          type: string
        taskId:
          type: string
          readOnly: true
        transGroupId:
          type: integer
          format: int32
          minimum: 0
    StatusDtoV1:
      type: object
      properties:
        by:
          $ref: '#/components/schemas/MentionableUserDtoV1'
        date:
          type: string
          format: date-time
          description: Date the status was set
        name:
          type: string
          description: Status name
          enum:
            - resolved
            - unresolved
    MentionDtoV1:
      type: object
      required:
        - mentionType
      properties:
        mentionGroupType:
          type: string
          enum:
            - JOB
            - OWNERS
            - PROVIDERS
            - GUESTS
            - WORKFLOW_STEP
        mentionType:
          type: string
          enum:
            - USER
            - GROUP
        mentionableGroup:
          $ref: '#/components/schemas/MentionableGroupDtoV1'
        tag:
          type: string
        uidReference:
          $ref: '#/components/schemas/UidReference'
        userReferences:
          type: array
          items:
            $ref: '#/components/schemas/MentionableUserDtoV1'
    JobRoleDtoV1:
      type: object
      required:
        - type
      properties:
        organizationType:
          type: string
          description: not null only for shared projects
          enum:
            - VENDOR
            - BUYER
        type:
          type: string
          enum:
            - PROJECT_OWNER
            - JOB_OWNER
            - PROVIDER
            - GUEST
        workflowStep:
          $ref: '#/components/schemas/ProjectWorkflowStepDtoV2'
    ReferenceCorrelation:
      type: object
      properties:
        role:
          type: string
          enum:
            - PARENT
        uid:
          type: string
    LQAReferencesLQAReferenceV1:
      type: object
      required:
        - errorCategoryId
        - severityId
      properties:
        errorCategoryId:
          type: integer
          format: int32
          minimum: 1
        origin:
          type: string
          enum:
            - HUMAN
        originator:
          $ref: '#/components/schemas/MentionableUserDtoV1'
        repeated:
          type: string
          description: 'Default: `NOT_REPEATED`'
          enum:
            - REPEATED
            - NOT_REPEATED
        severityId:
          type: integer
          format: int32
          minimum: 1
        user:
          $ref: '#/components/schemas/IdReference'
    MentionableGroupDtoV1:
      type: object
      required:
        - groupName
        - groupType
      properties:
        groupName:
          type: string
          description: Display name of the group
        groupReference:
          $ref: '#/components/schemas/UidReference'
        groupType:
          type: string
          description: Type of the mentionable group
          enum:
            - JOB
            - OWNERS
            - PROVIDERS
            - GUESTS
            - WORKFLOW_STEP
    UidReference:
      type: object
      required:
        - uid
      properties:
        uid:
          type: string
          example: 3HYnHHLkTPJfMxBCDbPXFe
          description: Unique identifier of the referenced object
      description: Reference to an object by its unique identifier
    ProjectWorkflowStepDtoV2:
      type: object
      properties:
        abbreviation:
          type: string
          description: Abbreviation of the workflow step name
        id:
          type: integer
          format: int64
          description: Internal numeric identifier of the project workflow step
        name:
          type: string
          description: Display name of the workflow step
        workflowLevel:
          type: integer
          format: int32
          description: Position of this step in the workflow, starting from 1
        workflowStep:
          $ref: '#/components/schemas/WorkflowStepReferenceV2'
    IdReference:
      type: object
      required:
        - id
      properties:
        id:
          type: string
    WorkflowStepReferenceV2:
      type: object
      properties:
        id:
          type: string
        lqaEnabled:
          type: boolean
        name:
          type: string
        order:
          type: integer
          format: int32
        uid:
          type: string
  securitySchemes:
    ApiToken:
      description: >-
        Get a token from `auth/login` [endpoint](#operation/login) and then pass
        it in the `Authorization` HTTP header in every subsequent API call. For
        more information visit our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#token-0-0).
      type: apiKey
      name: Authorization
      in: header
    OAuth2:
      description: >-
        A standard OAuth 2.0 authorization code flow. For more information visit
        our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#oauth-2-0-0-1).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://cloud.memsource.com/web/oauth/authorize
          tokenUrl: https://cloud.memsource.com/web/oauth/token
          scopes: {}

````